var nSplitterWidth;
var nMediaDuration;
var nPrgSliderRange;
var curMedianDur;

function UpdateUI()
{
	if(plist.itemCount < 2)
	{
		btnPrev.enabled = false;
		btnNext.enabled = false;
	}
	else
	{
		btnPrev.enabled = true;
		btnNext.enabled = true;
	}
	if(plist.itemCount > 0)
	{
		btnPlay.enabled=true;
	}
	else
	{
		btnPlay.enabled=false;
	}	
}

function OnMax()
{
	mainview.maximize();
	btnMax.visible=false;
	btnRestore.visible=true;
}

function OnRestore()
{
	mainview.restore();
	btnMax.visible=true;
	btnRestore.visible=false;
}


function OnLButtonDblClk()
{
	if(mainview.IsWindowMaximized)
	{
		OnRestore();
	}
	else
	{
		OnMax();
	}
}

function OnLoad()
{
	UpdateUI();
	nPrgSliderRange = sliderprogress.range;
	OnPlayStatusChanged(player.playState);
	sliderprogress.currentPos = (player.controls.currentPos * nPrgSliderRange) / nMediaDuration;
}

function OnPlay()
{
	var playstate = player.playState;
	if(playstate == 5)	//pause
	{
		player.controls.play();
	}
	else
	{
		var item = plist.selectedItem;
		if(!item)
		{
			item = plist.next;
		}
		
		player.url = item;
	}
}

function OnProgressChange()
{
	var curTime = sliderprogress.currentPos * nMediaDuration / nPrgSliderRange / 1000;
	var timeString;
	curTime = Math.round(curTime);
	var hours = Math.round(curTime / 3600 - 0.5);		
	var mins = Math.round((curTime % 3600) / 60 - 0.5);
	var secs = Math.round((curTime % 3600) % 60 - 0.5);
	
	sliderprogress.toolTip = hours.toString() + ':' + mins.toString() + ':' + secs.toString();
}

function OnVolumeSliderChange()
{
	slidervoice.toolTip=slidervoice.currentPos.toString();
	player.settings.volume=slidervoice.currentPos;
	player.EqualizerSettings.boostVoice=100;
}

function OnAudioPluginSetup()
{
	//btnopeneq.enabled=true;
}

function OnItemDeleted()
{
	UpdateUI();
}

function OnItemAdded(index)
{
	UpdateUI();
}

function OnPlayingItemDeleted()
{
	player.controls.stop();
}

function OpenEq()
{
	var EQOn;
	EQOn = theme.loadPreference('vwEQOpened');
	if (EQOn != 'true') 
	{
		theme.savePreference( 'vwEQOpened', 'true' ); 
		theme.openViewRelative('eqview', 0, mainview.height);
	}
	else 
	{
	        theme.savePreference( 'vwEQOpened', 'false' );
		theme.closeView('eqview');
	}
}

function OnMuteChanged(){btnMute.down=player.settings.mute;}

function OnClose()
{
}

function Setplaymode()
{
	menu.show("playmode");
}

function SelectSkin()
{
	menu.show("skinlist");
}

function CloseKuree()
{
	mainview.close();
}

function playclick()
{
	btnPlay.visible=false;
}

function hidePlayList()
{
	nSplitterWidth = plpane.width;
	splitter.moveTo(playarea.width-5, 0, 0);
	HidePl.visible=false;
	ShowPl.visible=true;
}

function showPlayList()
{
	var nPlittereft = playarea.width - nSplitterWidth - 5;
	splitter.moveTo(nPlittereft, 0, 0);
	HidePl.visible=true;
	ShowPl.visible=false;
}

function printScreen()
{
	var savepath = player.printScreen();
	if(savepath.length > 0)
	{
		savepath = '·:' + savepath;
		playstatus.flashText(savepath, 3000);
	}
	else
	{
		playstatus.flashText('ʧ', 3000);
	}
}

function OnPlayStatusChanged(eStatus)
{
	switch(eStatus)
	{
		case 1:	//PS_Opened
		{
		}
		break;
		case 4:	//PS_Playing
		{
			mainview.viewText = player.urlExname;
			btnslowdown.enabled=true;
			btnspeedup.enabled=true;
			btnrestorespeed.enabled=true;
			btnPlay.enabled=true;
			btnPlay.visible=false;
			btnPause.visible=true;
			btnStop.enabled=true;
			if(player.hasVideo)
			{
				btnFullScreen.enabled=true;
				btnprintscreen.enabled=true;
			}			
			nMediaDuration = player.duration;	//currentMedia.
			if(nMediaDuration > 0)
			{
				sliderprogress.enabled=true;
			}
		}
		break;
		case 5:	//PS_Pause
		{
			btnslowdown.enabled=true;
			btnspeedup.enabled=true;
			btnrestorespeed.enabled=true;
			btnPlay.enabled=true;
			btnStop.enabled=true;
			btnPlay.visible=true;
			btnPause.visible=false;
			if(player.hasVideo)
			{
				btnFullScreen.enabled=true;
				btnprintscreen.enabled=true;
			}			
			sliderprogress.enabled=true;
			nMediaDuration = player.duration;	//currentMedia.
		}
		break;
		case 6:	//PS_Stopped
		{
			mainview.viewText = 'Ӱ';
			btnPlay.visible=true;
			btnPause.visible=false;
			btnStop.enabled=false;
			btnPlay.enabled=false;
			btnFullScreen.enabled=false;
			btnprintscreen.enabled=false;
			sliderprogress.currentPos=0;
			sliderprogress.enabled=false;
			btnslowdown.enabled=false;
			btnspeedup.enabled=false;
			btnrestorespeed.enabled=false;
			UpdateUI();
		}
		break;
	}
}

function OnProgress(nPos)
{
	sliderprogress.currentPos = (nPos * nPrgSliderRange) / nMediaDuration;
}

function OpenMediaDlg()
{
	var newFile = theme.openDialog('DT_MEDIAFILE', '');
	if(newFile)
	{
		plist.deleteAll();
		var nCount = newFile.length;
		for(var i = 0; i < nCount; i++)
		{
			plist.addItem(newFile.item(i));
		}
		player.URL = newFile.item(0);
		newFile="";
	}
}

function OpenPlaylistDlg()
{
	newFile=theme.openDialog('DT_MEDIAFILE','');
	if(newFile)
	{
		var nCount = newFile.length;
		for(var i = 0; i < nCount; i++)
		{
			plist.addItem(newFile.item(i));
		}
	}		
}

function DeletItemFromList()
{
     plist.deleteSelected();
}

function OnProgressDragEnd(nPos)
{
	var nCurPos = nPos * nMediaDuration / nPrgSliderRange;
	player.controls.currentPos = nCurPos;
	sliderprogress.toolTip = 'Ž';
}

function OnVolumeChanged()
{
	slidervoice.currentPos=player.settings.volume;
	slidervoice.toolTip = slidervoice.currentPos.toString();
}
